local L = LibStub("AceLocale-3.0"):NewLocale("MountRandomMount", "enUS", true)
if not L then return end
BINDING_HEADER_MOUNTRANDOMMOUNT = "MountRandomMount"
BINDING_NAME_MRMTRIGGER = "Summon Random Mount"
BINDING_NAME_MRMLandTRIGGER = "Summon Land Mount Only"
BINDING_NAME_MRMTravelTRIGGER = "Spell Mounts/Travel Forms"
L['MRMNoMounts'] = "You haven't added any mounts to the list, please use /rdm add [mount name] to do this."
L['MRMNoLandMounts'] = "You have not added any land mounts to your random list."
L['MRMNoFlyingMountsLand'] = "You have not added any flying mounts to your random list. Using a Land mount."
L['MRMRandom'] = "random"
L['MRMLandOnly'] = "landonly"
L['MRMAdd'] = "add"
L['MRMRemove'] = "remove"
L['MRMList'] = "list"
L['MRMGui'] = "gui"
L['MRMCatInside'] = "catform"
L['MRMCommands'] = "MountRandomMount v"..GetAddOnMetadata("MountRandomMount", "Version").."\n use: /rdm -- prints this help\n /rdm add [mount name] (can also shift click from your mount list) -- adds another mount to the random list\n /rdm remove [mount name] (can also shift click from your mount list) --removes a mount from the list\n /rdm list -- lists the mounts to select from\n /rdm gui -- brings up a GUI of your mounts\n /rdm random -- mounts a random mount from your list (using flying in flyable areas and land in nonflyable areas)\n /rdm landonly -- mounts a random land mount from your list\n /rdm catform -- will enable/disable using Cat Form inside and in instances.\n There are a few keybindings option in the Blizzard KeyBindings Menu. One will summon a random mount (fly/land, one will summon a land wherever you are, and one is for class summons.\n "
L['MRMNoFlyingMounts'] = "You have not added any flying mounts to your random list."
L['MRMListTitle'] = "The mounts in your random list are: "
L['MRMListFlyingTitle'] = "Flying mounts used in Outland/Northrend (except Dalaran/WG): "
L['MRMListLandTitle'] = "Land mounts used everywhere else: "
L['MRMDalaran'] = "Dalaran"
L['MRMWintergrasp'] = "Wintergrasp"
L['MRMKrasusLanding'] = "Krasus' Landing"
L['MRMOutland'] = "Outland"
L['MRMNorthrend'] = "Northrend"
L['MRMKelp'] = "Kelp'thar Forest"
L['MRMShimExp'] = "Shimmering Expanse"
L['MRMAbysDepth'] = "Abyssal Depths"
L['MRMEasternKindom'] = ""
L['MRMHeadlessKeywordLocation'] = "location"
L['MRMFlyingAdded'] = "has been added to your flying random list."
L['MRMAlreadyInList'] = "is already in your random mount list."
L['MRMLandAdded'] = "has been added to your land random list."
L['MRMFlyingRemoved'] = "has been removed from your flying random list."
L['MRMLandRemoved'] = "has been removed from your land random list."
L['MRMNoExist'] = "does not exist in your list of mounts."
L['MRMCatForm'] = "You have not trained Cat Form yet."
L['MRMTravelForm'] = "You have not trained Travel Form yet."
L['MRMFlightForm'] = "You have not trained any Travel/Flight Form's yet."
L['MRMGhostWolf'] = "You have not trained Ghost Wolf yet."
L['MRMRunningWild'] = "You have not trained Running Wild yet."
L['MRMShaman'] = "Shaman"
L['MRMShamanF'] = "Shaman"
L['MRMWorgen'] = "Worgen"
L['MRMDruid'] = "Druid"
L['MRMCatInsideTrue'] = "Will now use Cat Form inside and in instances."
L['MRMCatInsideFalse'] = "Will NOT use Cat Form inside and in instances."
L['MRMNoLockMount'] = "You have not learned any of the Warlock mount spells yet."
L['MRMNoMountAtAll'] = "You have no mounts."
L['MRMToolTipText'] = "Add/remove this mount to/from your random list"
L['MRMExit'] = "Exit"
L['MRMMRM'] = "Mount Random Mount"
L['MRMRMList'] = "Random Mount List"
L['MRMMountName'] = RED_FONT_COLOR_CODE.."Mount Name|r"
L['MRMInList'] = GREEN_FONT_COLOR_CODE.."In List|r"
L['MRMNext'] = "Next"
L['MRMPrev'] = "Prev"
L['MRMNotRightClass'] = "Sorry you are not one of the classes with a mount/travel form as a spell, ignore this binding."
L['MRMNotADruid'] = "You aren't a Druid, ignore this command."
L['MRMSeaTurtle'] = "Sea Turtle"
L['MRMAcquaForm'] = "You have not trained Acquatic Form yet."
L['MRMHeadlessHorsemanSpecific'] = "Headless"
L['MRMX53TouringRocket'] = "X-53"
L['MRMBracketERROR'] = "You must enclose the name of the mount with [], ie: /rdm add [mount name], or link it."
L['All'] = 'All'
L['source-achv'] = "Achievement"
L['source-drop'] = "Drop"
L['source-event'] = "Event"
L['source-faction'] = "Faction"
L['source-none'] = "Unopenable"
L['source-other'] = "Other"
L['source-prof'] = "Profession"
L['source-promo'] = "Promotional"
L['source-quest'] = "Quest"
L['source-store'] = "Blizz-store"
L['source-tcg'] = "Trading-Card-Game"
L['source-vendor'] = "Venders"
L['source-class'] = "Class"
L["Flying Mount"] = "Flying Mount"
L["Ground Mount"] = "Ground Mount"
L["Enabled"] = "> Enabled <"
L['This panel is only updated when you reload the UI or at loggin.'] = "This panel is only updated when you reload the UI or at loggin."
L['Flying will be random with land mount in area where flying is not enable.'] = "This panel is only updated when you reload the UI or at loggin."
L['MountRandomMount'] = true